--- old/usr/src/man/man5/threads.5	Mon Aug 26 06:56:04 2019
+++ new/usr/src/man/man5/threads.5	Mon Aug 26 06:56:04 2019
@@ -9,7 +9,6 @@
 threads, pthreads \- POSIX pthreads, c11, and illumos threads concepts
 .SH SYNOPSIS
 .SS "POSIX"
-.LP
 .nf
 gcc -D_REENTRANT [ \fIflag\fR... ] \fIfile\fR... [ \fIlibrary\fR... ]
 .fi
@@ -20,7 +19,6 @@
 .fi
 
 .SS "C11"
-.LP
 .nf
 gcc -std=c11 -D_REENTRANT [ \fIflag\fR... ] \fIfile\fR... [ \fIlibrary\fR... ]
 .fi
@@ -31,7 +29,6 @@
 .fi
 
 .SS "illumos"
-.LP
 .nf
 gcc -D_REENTRANT [ \fIflag\fR... ] \fIfile\fR... [ \fIlibrary\fR... ]
 .fi
@@ -47,7 +44,6 @@
 .fi
 
 .SH DESCRIPTION
-.LP
 A thread is an independent source of execution within a process. Every process
 is created with a single thread, which calls the
 .B main
@@ -84,7 +80,6 @@
 platform. POSIX, C11, and illumos threads require different source and include
 files. See \fBSYNOPSIS\fR.
 .SS "Similarities"
-.LP
 Most of the POSIX and illumos threading functions have counterparts with each
 other. POSIX function names, with the exception of the semaphore names, have a
 "\fBpthread\fR" prefix. Function names for similar POSIX and illumos functions
@@ -91,7 +86,6 @@
 have similar endings. Typically, similar POSIX and illumos functions have the
 same number and use of arguments.
 .SS "Differences"
-.LP
 POSIX pthreads and illumos threads differ in the following ways:
 .RS +4
 .TP
@@ -138,7 +132,6 @@
 wait.
 .RE
 .SS "Comparison to C11 Threads"
-.LP
 C11 threads are not as functional as either POSIX or illumos threads. C11
 threads only support intra-process locking and do not have any form of
 readers/writer locking or semaphores. In general, POSIX threads will be more
@@ -155,7 +148,6 @@
 dictates otherwise.
 
 .SH FUNCTION COMPARISON
-.LP
 The following table compares the POSIX pthreads, C11 threads, and illumos
 threads functions.  When a comparable interface is not available either in POSIX
 pthreads, C11 threads  or illumos threads, a hyphen (\fB-\fR) appears in the
@@ -336,7 +328,7 @@
 \fBsem_init()\fR	\fBsema_init()\fR	\fB-\fR
 \fBsem_open()\fR	\fB-\fR	\fB-\fR
 \fBsem_close()\fR	\fB-\fR	\fB-\fR
-\fBsem_wait()\fR	\fBsema_wait()\	\fB-\fR
+\fBsem_wait()\fR	\fBsema_wait()\fR	\fB-\fR
 \fBsem_trywait()\fR	\fBsema_trywait()\fR	\fB-\fR
 \fBsem_post()\fR	\fBsema_post()\fR	\fB-\fR
 \fBsem_getvalue()\fR	\fB-\fR	\fB-\fR
@@ -373,7 +365,6 @@
 
 .SH LOCKING
 .SS "Synchronization"
-.LP
 Multithreaded behavior is asynchronous, and therefore,  optimized for
 concurrent and parallel processing. As threads, always from within the same
 process and  sometimes from multiple processes, share global data with each
@@ -389,7 +380,6 @@
 grain of synchronization, that is, the larger the block of code that is locked,
 the lesser the concurrency.
 .SS "MT \fBfork()\fR"
-.LP
 If a threads program calls \fBfork\fR(2), it implicitly calls \fBfork1\fR(2),
 which replicates only the calling thread. Should there be any outstanding
 mutexes throughout the process, the application should call
@@ -397,7 +387,6 @@
 \fBfork()\fR.
 .SH SCHEDULING
 .SS "POSIX Threads"
-.LP
 illumos supports the following three POSIX scheduling policies:
 .sp
 .ne 2
@@ -468,16 +457,13 @@
 .RE
 
 .SS "illumos Threads"
-.LP
 Only scheduling policy supported is \fBSCHED_OTHER\fR, which is timesharing,
 based on the \fBTS\fR scheduling class.
 .SH ERRORS
-.LP
 In a multithreaded application, \fBEINTR\fR can be returned from blocking
 system calls when another thread calls \fBforkall\fR(2).
 .SH USAGE
 .SS "\fB-mt\fR compiler option"
-.LP
 The \fB-mt\fR compiler option compiles and links for multithreaded code. It
 compiles source files with \(mi\fBD_REENTRANT\fR and augments the set of
 support libraries properly.
@@ -487,7 +473,6 @@
 \(mi\fBD_REENTRANT\fR on the compilation line. There are no other libraries or
 flags necessary.
 .SH ATTRIBUTES
-.LP
 See \fBattributes\fR(5) for descriptions of the following attributes:
 .sp
 
@@ -502,7 +487,6 @@
 .TE
 
 .SH SEE ALSO
-.LP
 \fBcrle\fR(1), \fBfork\fR(2), \fBpriocntl\fR(2), \fBlibpthread\fR(3LIB),
 \fBlibrt\fR(3LIB), \fBlibthread\fR(3LIB), \fBpthread_atfork\fR(3C),
 \fBpthread_create\fR(3C), \fBattributes\fR(5), \fBstandards\fR(5)
